質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.53%
Cloud9

Cloud9は、クラウドからのプログラミングが可能になるWebサービス。IDEとしての機能が搭載されており、GitHubやHerokuなど他ツールとの連携も可能です。ブラウザ上で動くため、デバイスに関係なく開発環境を準備できます。

NumPy

NumPyはPythonのプログラミング言語の科学的と数学的なコンピューティングに関する拡張モジュールです。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Q&A

解決済

1回答

5370閲覧

Cloud9上にpythonのモジュール(numpyなど)をインストールしようとしても、pkg_resources.VersionConflictのエラーが出る

norixi

総合スコア15

Cloud9

Cloud9は、クラウドからのプログラミングが可能になるWebサービス。IDEとしての機能が搭載されており、GitHubやHerokuなど他ツールとの連携も可能です。ブラウザ上で動くため、デバイスに関係なく開発環境を準備できます。

NumPy

NumPyはPythonのプログラミング言語の科学的と数学的なコンピューティングに関する拡張モジュールです。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

0グッド

0クリップ

投稿2018/03/28 06:07

Cloud9上にpythonのモジュール(numpyなど)をインストールしようとしても、pkg_resources.VersionConflictのエラーが出る

Cloud9上にpython実行環境を構築中ですが、
モジュール(numpyなど)を入れようとしても依存関係エラーが出てしまいます。
どのように対処したら良いでしょう?アドバイス頂けると助かります。
※依存関係を調べようと、pipdeptreeを入れようとしても
同様にエラーになってしまって進められませんでした。


ec2-user:/environment $ python --version
Python 2.7.13
ec2-user:
/environment $ python3 --version
Python 3.6.2

ec2-user:~/environment $ sudo pip-3.6 install numpy
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 666, in _build_master
ws.require(requires)
File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 984, in require
needed = self.resolve(parse_requirements(requirements)), line 984, in require
needed = self.resolve(parse_requirements(requirements)) File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 875, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)pkg_resources.VersionConflict: (pip 9.0.3 (/usr/local/lib/python3.6/site-packages), Requirement.parse('pip==9.0.1'))
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pip-3.6", line 6, in <module>
from pkg_resources import load_entry_point File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 3147, in <module>
@_call_aside File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 3131, in _call_aside
working_set = WorkingSet._build_master()
File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 668, in _build_master
return cls._build_from_requirements(requires)
File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 681, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/local/lib/python3.6/site-packages/pkg_resources/init.py", line 870, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pip==9.0.1' distribution was not found and is required by the application

なお、
python3 -m pip install numpy
でインストールしようとすると、パーミッション無しでエラーになります。


ec2-user:~/environment $ python3 -m pip install numpy
Collecting numpy
Using cached numpy-1.14.2-cp36-cp36m-manylinux1_x86_64.whl
Installing collected packages: numpy
Exception:
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/pip/basecommand.py", line 215, in main
status = self.run(options, args)
File "/usr/local/lib/python3.6/site-packages/pip/commands/install.py", line 342, in run
prefix=options.prefix_path,
File "/usr/local/lib/python3.6/site-packages/pip/req/req_set.py", line 784, in install
**kwargs
File "/usr/local/lib/python3.6/site-packages/pip/req/req_install.py", line 851, in install
self.move_wheel_files(self.source_dir, root=root, prefix=prefix)
File "/usr/local/lib/python3.6/site-packages/pip/req/req_install.py", line 1064, in move_wheel_files
isolated=self.isolated,
File "/usr/local/lib/python3.6/site-packages/pip/wheel.py", line 345, in move_wheel_files
clobber(source, lib_dir, True)
File "/usr/local/lib/python3.6/site-packages/pip/wheel.py", line 316, in clobber
ensure_dir(destdir)
File "/usr/local/lib/python3.6/site-packages/pip/utils/init.py", line 83, in ensure_dir
os.makedirs(path)
File "/usr/lib64/python3.6/os.py", line 220, in makedirs
mkdir(name, mode)
PermissionError: [Errno 13] Permission denied: '/usr/lib64/python3.6/dist-packages/numpy-1.14.2.dist-info'

すみませんが対応方法について
アドバイスお願いします。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

https://teratail.com/questions/119153

--userでパーミッションエラーを回避できます。

投稿2018/03/28 06:26

mkgrei

総合スコア8560

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

norixi

2018/03/28 06:29

おぉ!インストールできました!感動! ありがとうございます (T^T)
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.53%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問